## org.apache.tools.ant.taskdefs.condition
Class Not

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.taskdefs.condition.ConditionBase
              org.apache.tools.ant.taskdefs.condition.Not

All Implemented Interfaces:
  java.lang.Cloneable, Condition

    public class Not

extends ConditionBase
implements Condition

<not> condition. Evaluates to true if the single condition nested into it is false and vice versa.

Since:
  Ant 1.4

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Not()`

Method Summary
`boolean` `eval()` Evaluate condition

Methods inherited from class org.apache.tools.ant.taskdefs.condition.ConditionBase
`add, addAnd, addAvailable, addChecksum, addContains, addEquals, addFilesMatch, addHttp, addIsFalse, addIsFileSelected, addIsReference, addIsSet, addIsTrue, addNot, addOr, addOs, addSocket, addUptodate, countConditions, getConditions, getTaskName, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Not

    public Not()

Method Detail

### eval

    public boolean eval()
                 throws BuildException

  Evaluate condition

  Specified by:
    `eval` in interface `Condition`
  Returns:
    true if the condition is true.
  Throws:
    `BuildException` - if the condition is not configured correctly.